package com.kuyuntech.cofarcooking.device.sdk.eventbus.event;

import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class DevPromptEvent {


    private String flag = "common";

    //是否显示确认按钮
    @Builder.Default
    private boolean showConfirmBtn = true;

    private boolean focus = false;

    //是否显示取消按钮
    @Builder.Default
    private boolean showCancelBtn = false;

    //确认按钮文字
    @Builder.Default
    private String confirmButtonText = "pmpt_confirm";


    //取消按钮文字
    @Builder.Default
    private String cancelBtnText = "pmpt_cancel";

    //提示信息
    @Builder.Default
    private String msg = "pmpt_msg";

    private Callback confirm;

    private Callback cancel;

    public interface Callback{
         void callback();
    }

}
